Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040598
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-04-11 15:082019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision435585a9485d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040598: Stop using Vector<Object> when only single type AttachContent is used

DescriptionPrintController has some bad coding style using Vector<Object> even when only single type AttachContent is ever put into.

Apart of making the code harder to understand it also requires adding extra casts on ever read.

Note:
That code has more style problems which are not addressed here to keep change simple.

Removal of Vector<Object> is done to work around bug in external code-analysis tool:
https://github.com/typetools/checker-framework/issues/2422 [^]
Steps To Reproduce-
Proposed SolutionChange all Vector<Object> -> Vector<AttachContent>
TagsNo tags attached.
Attached Filesdiff file icon 40598.diff [^] (4,360 bytes) 2019-04-11 15:09 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111084)
shuehner (administrator)
2019-04-11 15:10

Patch is only compile-tested so far.
(0111098)
hgbot (developer)
2019-04-12 08:45

Repository: erp/devel/pi
Changeset: 435585a9485d060e7a95f6c4219d44a60077625c
Author: Stefan Hühner <stefan.huehner <at> openbravo.com
Date: Fri Apr 12 08:02:03 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/435585a9485d060e7a95f6c4219d44a60077625c [^]

fixes 40598: do not use generics with Object, use instead knwon type

---
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
---
(0111099)
hgbot (developer)
2019-04-12 08:45

Repository: erp/devel/pi
Changeset: 44c6e6baec01a4c6cb262e8285a1345f90cb3354
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 12 08:45:20 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/44c6e6baec01a4c6cb262e8285a1345f90cb3354 [^]

related to issue 40598: do not use Vector at all, use ArrayList instead

---
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
---
(0111100)
alostale (developer)
2019-04-12 08:47

reviewed + tested
(0111972)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-11 15:08 shuehner New Issue
2019-04-11 15:08 shuehner Assigned To => platform
2019-04-11 15:08 shuehner Modules => Core
2019-04-11 15:08 shuehner Triggers an Emergency Pack => No
2019-04-11 15:09 shuehner File Added: 40598.diff
2019-04-11 15:10 shuehner Note Added: 0111084
2019-04-12 08:45 hgbot Checkin
2019-04-12 08:45 hgbot Note Added: 0111098
2019-04-12 08:45 hgbot Status new => resolved
2019-04-12 08:45 hgbot Resolution open => fixed
2019-04-12 08:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/435585a9485d060e7a95f6c4219d44a60077625c [^]
2019-04-12 08:45 hgbot Checkin
2019-04-12 08:45 hgbot Note Added: 0111099
2019-04-12 08:47 alostale Assigned To platform => shuehner
2019-04-12 08:47 alostale Review Assigned To => alostale
2019-04-12 08:47 alostale Note Added: 0111100
2019-04-12 08:47 alostale Status resolved => closed
2019-04-12 08:47 alostale Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111972


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker